## org.eclipse.emf.importer.ui
Class EMFModelWizard.NewGenModelFileCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewFileCreationPage
                  org.eclipse.emf.importer.ui.EMFModelWizard.NewGenModelFileCreationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, Listener

Enclosing class:
  EMFModelWizard

    public class EMFModelWizard.NewGenModelFileCreationPage

extends WizardNewFileCreationPage

Field Summary
`protected boolean` `firstTime`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`EMFModelWizard.NewGenModelFileCreationPage(java.lang.String pageId)` Pass in the selection.

Method Summary
`void` `setFileName(java.lang.String value)`
`void` `setVisible(boolean visible)`
`protected boolean` `validatePage()` The framework calls this to see if the file is correct.

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createAdvancedControls, createControl, createFile, createFileHandle, createLinkTarget, createNewFile, createRule, getContainerFullPath, getFileExtension, getFileName, getInitialContents, getNewFileLabel, handleAdvancedButtonSelect, handleEvent, initialPopulateContainerNameField, setContainerFullPath, setFileExtension, validateLinkedResource`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### firstTime

    protected boolean firstTime

Constructor Detail

### EMFModelWizard.NewGenModelFileCreationPage

    public EMFModelWizard.NewGenModelFileCreationPage(java.lang.String pageId)

  Pass in the selection.

Method Detail

### validatePage

    protected boolean validatePage()

  The framework calls this to see if the file is correct.

  Overrides:
    `validatePage` in class `WizardNewFileCreationPage`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `WizardNewFileCreationPage`

### setFileName

    public void setFileName(java.lang.String value)

  Overrides:
    `setFileName` in class `WizardNewFileCreationPage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.